.wrapper-button {
  position: relative;
  .base-button {
    border-radius: 2px;
    color: #ffffff;
    font-family: Barlow;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: -0.26px;
    line-height: 20px;
    padding: 4px 14px 6px;
    border: none;
    outline: none;
    border: 1px solid #202129;
    cursor: pointer;
    &.black {
      background-color: #202129;
    }
    &.white {
      background-color: #ffffff;
      color: #202129;
      border: 1px solid #202129;
    }
    &.danger {
      color: #e8384f;
      background-color: #ffffff;
      border: 0;
    }
    &.gray {
      border-radius: 4px;
      background-color: #E4E7EF;
      border: 1px solid #E4E7EF;
      color: #424658;
    }
  }
  .button-dropdown {
    position: absolute;
    left: 0;
    max-height: 0;
    overflow: hidden;
    padding: 0;
    border: 0px solid #e4e6ec;
    border-radius: 4px;
    background-color: #ffffff;
    box-shadow: 0 6px 20px 0 rgba(0, 0, 0, 0.15);
    transition: 0.3s ease-in-out;
    top: 38px;
    // transition: padding .3s ease-in-out;
    &.open {
      max-height: 200px;
      padding: 9px 0;
      border: 1px solid #e4e6ec;
    }
    .button-dropdown-option {
      text-align: center;
      color: #1d252d;
      font-family: Barlow;
      font-size: 12px;
      font-weight: 600;
      line-height: 24px;
      padding: 0 17px;
      white-space: nowrap;
      cursor: pointer;
      display: flex;
      align-items: center;
      &:hover {
        background-color: #1d252d11;
      }
    }
  }
}
